
package net.brutex.sbm.wsclient;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Transition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Transition">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="transitionID" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="transitionUUID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fromState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fromStateID" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="fromStateUUID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="toState" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="toStateID" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="toStateUUID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="type" type="{urn:aewebservices71}Transition-Type"/>
 *         &lt;element name="fullyQualifiedPostIssueProjectName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="transitionAttributes" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Transition", propOrder = {
    "transitionID",
    "transitionUUID",
    "name",
    "fromState",
    "fromStateID",
    "fromStateUUID",
    "toState",
    "toStateID",
    "toStateUUID",
    "type",
    "fullyQualifiedPostIssueProjectName",
    "transitionAttributes"
})
public class Transition {

    @XmlElement(required = true)
    protected BigInteger transitionID;
    @XmlElementRef(name = "transitionUUID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> transitionUUID;
    @XmlElementRef(name = "name", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> name;
    @XmlElementRef(name = "fromState", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> fromState;
    @XmlElementRef(name = "fromStateID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<BigInteger> fromStateID;
    @XmlElementRef(name = "fromStateUUID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> fromStateUUID;
    @XmlElementRef(name = "toState", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> toState;
    @XmlElementRef(name = "toStateID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<BigInteger> toStateID;
    @XmlElementRef(name = "toStateUUID", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> toStateUUID;
    @XmlElement(required = true)
    protected TransitionType type;
    @XmlElementRef(name = "fullyQualifiedPostIssueProjectName", namespace = "urn:aewebservices71", type = JAXBElement.class)
    protected JAXBElement<String> fullyQualifiedPostIssueProjectName;
    protected List<String> transitionAttributes;

    /**
     * Gets the value of the transitionID property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTransitionID() {
        return transitionID;
    }

    /**
     * Sets the value of the transitionID property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTransitionID(BigInteger value) {
        this.transitionID = value;
    }

    /**
     * Gets the value of the transitionUUID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTransitionUUID() {
        return transitionUUID;
    }

    /**
     * Sets the value of the transitionUUID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTransitionUUID(JAXBElement<String> value) {
        this.transitionUUID = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setName(JAXBElement<String> value) {
        this.name = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the fromState property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFromState() {
        return fromState;
    }

    /**
     * Sets the value of the fromState property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFromState(JAXBElement<String> value) {
        this.fromState = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the fromStateID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link BigInteger }{@code >}
     *     
     */
    public JAXBElement<BigInteger> getFromStateID() {
        return fromStateID;
    }

    /**
     * Sets the value of the fromStateID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link BigInteger }{@code >}
     *     
     */
    public void setFromStateID(JAXBElement<BigInteger> value) {
        this.fromStateID = ((JAXBElement<BigInteger> ) value);
    }

    /**
     * Gets the value of the fromStateUUID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFromStateUUID() {
        return fromStateUUID;
    }

    /**
     * Sets the value of the fromStateUUID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFromStateUUID(JAXBElement<String> value) {
        this.fromStateUUID = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the toState property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getToState() {
        return toState;
    }

    /**
     * Sets the value of the toState property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setToState(JAXBElement<String> value) {
        this.toState = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the toStateID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link BigInteger }{@code >}
     *     
     */
    public JAXBElement<BigInteger> getToStateID() {
        return toStateID;
    }

    /**
     * Sets the value of the toStateID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link BigInteger }{@code >}
     *     
     */
    public void setToStateID(JAXBElement<BigInteger> value) {
        this.toStateID = ((JAXBElement<BigInteger> ) value);
    }

    /**
     * Gets the value of the toStateUUID property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getToStateUUID() {
        return toStateUUID;
    }

    /**
     * Sets the value of the toStateUUID property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setToStateUUID(JAXBElement<String> value) {
        this.toStateUUID = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link TransitionType }
     *     
     */
    public TransitionType getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link TransitionType }
     *     
     */
    public void setType(TransitionType value) {
        this.type = value;
    }

    /**
     * Gets the value of the fullyQualifiedPostIssueProjectName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFullyQualifiedPostIssueProjectName() {
        return fullyQualifiedPostIssueProjectName;
    }

    /**
     * Sets the value of the fullyQualifiedPostIssueProjectName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFullyQualifiedPostIssueProjectName(JAXBElement<String> value) {
        this.fullyQualifiedPostIssueProjectName = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the transitionAttributes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the transitionAttributes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTransitionAttributes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getTransitionAttributes() {
        if (transitionAttributes == null) {
            transitionAttributes = new ArrayList<String>();
        }
        return this.transitionAttributes;
    }

}
